
  
/* -------------------------------------------------------- */
/* VARIABLES */
/* -------------------------------------------------------- */

/* Variables are used like this: var(--text-color) */
:root {
  /* Background Colors: */
  --background-color: #eeeeee;
  --content-background-color: #ede5d5;
  --sidebar-background-color: #19242b;

  /* Text Colors: */
  --text-color: #1b2529;
  --heading-color: #b01a38;
  --sidebar-text-color: #4a4038;
  --link-color: #c41244;
  --link-color-hover: #821140;
  --window-text-color: #b01a38;

  /* Text: */
  --font: Georgia, serif;
  --heading-font: Brush Script MT, cursive;
  --font-size: 15px;

  /* Other Settings: */
  --margin: 35px;
  --padding: 18px;
  --border: 2px solid #19242b;
  --round-borders: 0px;
  --sidebar-width: 200px;
}

/* -------------------------------------------------------- */
/* BASICS */
/* -------------------------------------------------------- */

* {
  box-sizing: border-box;
}

body {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  min-height: 100vh;
  font-size: var(--font-size);
  margin: 0;
  padding: var(--margin);
  color: var(--text-color);
  font-family: var(--font);
  line-height: 1.2;
  background: var(--background-color);
  background-image: url("trees.gif");
  
}

::selection {
  /* (Text highlighted by the user) */
  background: rgba(0, 0, 0, 0.2);
}

mark {
  /* Text highlighted by using the <mark> element */
  text-shadow: 1px 1px 4px var(--link-color);
  background-color: inherit;
  color: var(--text-color);
}

/* Links: */
a {
  text-decoration: underline;
}

a,
a:visited {
  color: var(--link-color);
}

a:hover,
a:focus {
  color: var(--link-color-hover);
  text-decoration: none;
}

/* -------------------------------------------------------- */
/* LAYOUT */
/* -------------------------------------------------------- */

.layout {
  width: 1200px;
  display: grid;
  gap: 18px;
  grid-template-columns: 260px 650px 290px;
  grid-template-areas:
    "header header header"
    ". music ."
    "left main right"
    ". footer .";
}

main {
  grid-area: main;
  overflow-y: auto;
  padding: 0; /* remove padding */
  background: transparent; /* remove big box */
  border: none;
}

.profile-left {
  max-width: 200px;
}

.profile-icon {
  width: 100%;
  border: var(--border);
  margin-bottom: 10px;
}

.profile-info p {
  margin: 5px 0;
}

.profile-right {
  padding-left: 10px;
}

/* -------------------------------------------------------- */
/* HEADER */
/* -------------------------------------------------------- */

header {
  grid-area: header;
  background: transparent;
  border: none;
  text-align: center;
}

.header-content {
  padding: var(--padding);
}

.header-title {
  font-family: var(--heading-font);
  font-size: 1.5em;
  font-weight: bold;
}

.header-image img {
  width: 100%;
  height: auto;
}

/* -------------------------------------------------------- */
/* SIDEBARS */
/* -------------------------------------------------------- */

aside {
  grid-area: aside;
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: hidden;
  background: var(--sidebar-background-color);
  padding: var(--padding);
  color: var(--sidebar-text-color);
}

.left-sidebar {
  grid-area: left;
  display: flex;
  flex-direction: column;
  gap: 18px;
  background: transparent;
  border: none;
  padding: 0;
}

.image-button img {
  display: block;
  width: 100%;
  border: var(--border);
}

.left-box {
  border: var(--border);
  background: #e8e8e8;
  padding: 12px;
}

.right-sidebar {
  grid-area: right;
  display: flex;
  flex-direction: column;
  gap: 18px;
  background: transparent;
  border: none;
  padding: 0;
}
.sidebar-title {
  font-weight: bold;
  font-size: 1.2em;
  font-family: var(--heading-font);
}

.sidebar-section:not(:last-child) {
  margin-bottom: 3em;
}

.sidebar-section ul,
.sidebar-section ol {
  padding-left: 1.5em;
}

.sidebar-section > *:not(p):not(ul):not(ol):not(blockquote) {
  margin-top: 10px;
}

/* Sidebar Blockquote: */

.sidebar-section blockquote {
  background: rgba(0, 0, 0, 0.1);
  padding: 15px;
  margin: 1em 0;
  border-radius: 10px;
  overflow: hidden;
}

.sidebar-section blockquote > *:first-child {
  margin-top: 0;
}

.sidebar-section blockquote > *:last-child {
  margin-bottom: 0;
}

/* Site Button: */

.site-button {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.site-button textarea {
  font-family: monospace;
  font-size: 0.7em;
}

/* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

footer {
  grid-area: footer;
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: hidden;
  font-size: 0.75em;
  padding: 15px;
  background: var(--content-background-color);
  display: flex;
  justify-content: center;
}

footer a,
footer a:visited {
  color: var(--link-color);
}

footer a:hover,
footer a:focus {
  color: var(--link-color-hover);
}

/* -------------------------------------------------------- */
/* NAVIGATION */
/* -------------------------------------------------------- */

nav {
  margin-bottom: 3em;
}

nav .sidebar-title {
  margin-bottom: 0.5em;
}

nav ul {
  margin: 0 -5px;
  padding: 0;
  list-style: none;
  user-select: none;
}

nav ul li {
  margin-bottom: 0;
}

nav > ul li > a,
nav > ul li > strong {
  display: inline-block;
}

nav > ul li > a,
nav > ul li > details summary,
nav > ul li > strong {
  padding: 5px 10px;
}

nav > ul li > a.active,
nav > ul li > details.active summary {
  font-weight: bold;
}

nav ul summary {
  cursor: pointer;
}

nav ul ul li > a {
  padding-left: 30px;
}



/* -------------------------------------------------------- */
/* CONTENT */
/* -------------------------------------------------------- */


main {
  line-height: 1.2;
}

main a,
main a:visited {
  color: var(--link-color);
}

main a:hover,
main a:focus {
  color: var(--link-color-hover);
  text-decoration-style: wavy;
}

main p,
main .image,
main .full-width-image,
main .two-columns {
  margin: 0.75em 0;
}

main ol,
main ul {
  margin: 0.5em 0;
  padding-left: 1.5em;
}

main ol li,
main ul li {
  margin-bottom: 0.2em;
  line-height: 1.3;
}

main ol {
  padding-left: 2em;
}

main blockquote {
  background: rgba(0, 0, 0, 0.1);
  padding: 15px;
  margin: 1em 0;
  border-radius: 10px;
}

main pre {
  margin: 1em 0 1.5em;
}

main code {
  text-transform: none;
}

main center {
  margin: 1em 0;
  padding: 0 1em;
}

main hr {
  border: 0;
  border-top: var(--border);
  margin: 1.5em 0;
}

.window {
  background: var(--content-background-color);
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: visible;
  margin-bottom: 20px;
}

.window-title {
  background: var(--sidebar-background-color);
  color: var(--window-text-color);
  padding: 8px 12px;
  font-family: var(--heading-font);
  font-size: 1.1em;
  border-bottom: var(--border);
}

.window-content {
  padding: var(--padding);
  position: relative;
}

.pagedoll {
  position: absolute;
  right: 480px;
  top: 770px;
  width: 210px;
  height: auto;
  z-index: 999;
  pointer-events: none;
}

/* HEADINGS: */

main h1,
main h2,
main h3,
main h4,
main h5,
main h6 {
  font-family: var(--heading-font);
  margin-bottom: 0;
  line-height: 1.5;
  color: var(--heading-color);
}

main h1:first-child,
main h2:first-child,
main h3:first-child,
main h4:first-child,
main h5:first-child,
main h6:first-child {
  margin-top: 0;
}

main h1 {
  font-size: 1.5em;
}

main h2 {
  font-size: 1.4em;
}

main h3 {
  font-size: 1.3em;
}

main h4 {
  font-size: 1.2em;
}

main h5 {
  font-size: 1.1em;
}

main h6 {
  font-size: 1em;
}

/* COLUMNS: */

.two-columns {
  display: flex;
}

.two-columns > * {
  flex: 1 1 0;
  margin: 0;
}

.two-columns > *:first-child {
  padding-right: 0.75em;
}

.two-columns > *:last-child {
  padding-left: 0.75em;
}

.music-box {
  grid-area: music;
  border: var(--border);
  background: var(--content-background-color);
  padding: 10px;
  text-align: center;
}


/* -------------------------------------------------------- */
/* CONTENT IMAGES */
/* -------------------------------------------------------- */

.image {
  display: block;
  width: auto;
  height: auto;
  max-width: 100%;
}

.full-width-image {
  display: block;
  width: 100%;
  height: auto;
}

.images {
  display: flex;
  width: calc(100% + 5px + 5px);
  margin-left: -5px;
  margin-right: -5px;
}

.images img {
  width: 100%;
  height: auto;
  padding: 5px;
  margin: 0;
  overflow: hidden;
}

/* -------------------------------------------------------- */
/* MISC */
/* -------------------------------------------------------- */

.game-wrap {
  width: 560px;
  height: 462px;
  overflow: hidden;
  margin: 0 auto;
}

.game-frame {
  width: 800px;
  height: 660px;
  border: none;
  transform: scale(0.7);
  transform-origin: top left;
  display: block;
}

.title-icon {
  width: 20px;
  height: 20px;
  vertical-align: middle;
  margin-right: 6px;
}

/* -------------------------------------------------------- */
/* TABLE */
/* -------------------------------------------------------- */

table {
  border-collapse: collapse;
}

table, td {
  border: 1px solid #19242b;
  background-color: var(--content-background-color);
  font-size: .85em;
  font-family: Georgia, serif;
  color: var(--text-color);
  width: 100%;
  padding: 5px;
}

th {
  border: 1px solid #19242b;
  background-color: var(--content-background-color);
  font-size: .85em;
  font-family: Georgia, serif;
  color: var(--heading-color);
  width: 100%;
  padding: 5px;
}

th:nth-child(1),
td:nth-child(1) {
  width: 25%;
}

th:nth-child(2),
td:nth-child(2) {
  width: 10%;
}

th:nth-child(3),
td:nth-child(3) {
  width: 50%;
}

th:nth-child(4),
td:nth-child(4) {
  width: 15%;
}

/* -------------------------------------------------------- */
/* ARCHIVE CSS */
/* -------------------------------------------------------- */

.archive {
  width: 700px;
  margin: 0 auto;
  text-align: center;
}

.archive-title {
  font-size: 2.5em;
  margin-bottom: 30px;
  color: var(--heading-color);
}

.intro-box {
  border: 2px solid #19242b;
  padding: 20px;
  background: var(--content-background-color);
  margin-bottom: 40px;
}

.content-box {
  border: 2px solid #19242b;
  margin-bottom: 40px;
  width: 100%;
}

.section-title {
  margin-bottom: 5px;
  color: var(--heading-color);
  text-align: left;
  font-size: 30px;
  font-weight: 900;
  padding: 15px;
  background: var(--sidebar-background-color);
}

.divider {
  display: block;
  margin: 40px auto;
  max-width: 100%;
}

/* -------------------------------------------------------- */
/* ACCESSIBILITY */
/* -------------------------------------------------------- */

/* please do not remove this. */

#skip-to-content-link {
  position: fixed;
  top: 0;
  left: 0;
  display: inline-block;
  padding: 0.375rem 0.75rem;
  line-height: 1;
  font-size: 1.25rem;
  background-color: var(--content-background-color);
  color: var(--text-color);
  transform: translateY(-3rem);
  transition: transform 0.1s ease-in;
  z-index: 99999999999;
}

#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
  transform: translateY(0);
}

/* -------------------------------------------------------- */
/* MOBILE RESPONSIVE */
/* -------------------------------------------------------- */

/* CSS Code for devices < 800px */
@media (max-width: 800px) {
  body {
    font-size: 14px;
  }

  .layout {
    width: 100%;
    grid-template-columns: 1fr;
    grid-template-areas:
      "header"
      "music"
      "left"
      "main"
      "footer";
  }

  .right-sidebar {
    display: none;
  }

  nav {
    padding: 0;
  }

  nav > ul {
    padding-top: 0.5em;
  }

  nav > ul li > a,
  nav > ul li > details summary,
  nav > ul li > strong {
    padding: 0.5em;
  }

  main {
    max-height: none;
  }

  .images {
    flex-wrap: wrap;
  }

  .images img {
    width: 100%;
  }

  #skip-to-content-link {
    font-size: 1rem;
  }
}

@media (max-width: 600px) {
  .two-columns {
    flex-direction: column;
  }
}